import Greske.*;

public class Kuca extends Gmtelo{
	private Piramida p;
	private Kvadar[] niz;
	
	public Kuca(int b){niz=new Kvadar[b];}
	
	public Kuca dodajSprat(Kvadar k)throws GSprat{
		for(int i=0;i<niz.length;i++){
			if(niz[i]!=null)throw new GSprat();
			else
			niz[i]=k;
		}
		return this;
	}
	public int duz(){
		int n=0;
		for(int i=0;i<niz.length;i++)n++;
		return n+1;
	}
	public Kuca dodajKrov(Piramida p1)throws GDuplo{
			if(p!=null)throw new GDuplo();
				p=p1;
			return this;
		}
	public double V(){
		double d=0;
		for(int i=0;i<niz.length;i++){
			d+=niz[i].V();
		}
		d+=p.V();
		return d;
	}
	public double P(){
		double a=0;
		for(int i=0;i<niz.length;i++){
			a+=niz[i].P();
		}
		a += 0.75 * p.P();
		return a;
	}
	public String toString(){
		StringBuffer s= new StringBuffer("Kuca: ");
		for(int i=0;i<niz.length;i++){
			s.append(niz[i]);
			if(i!=niz.length-1)
				s.append(",");
		}
		s.append(")");
		s.append("<"+p+">");
		return s.toString();
	}
	
}
